Bug 1485617 - GNOME Software Flatpak doesn't install apps' language packs
Summary: GNOME Software Flatpak doesn't install apps' language packs
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 28
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-26 09:33 UTC by okalousek@gmail.com
Modified: 2019-05-28 20:24 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 19:29:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 1002 None None None 2017-08-26 09:33:35 UTC

Description okalousek@gmail.com 2017-08-26 09:33:36 UTC
Description of problem:

My problem is: I add FlatHub and I install gnome-recipes (org.gnome.Recipes), but it doesn't install org.gnome.Recipes.Locale (language packs) for all languages. I want czech. I install it with flatpak install --system flathub org.gnome.Recipes.Locale , I can do it every flatpak install, but with gnome software is more confortable. If i install org.gnome.Recipes only with command, it installs langpack too.

Version-Release number of selected component (if applicable):
gnome-software 3.24.3 on Fedora 26 with 4.12.8-300.fc26.x86_64.

How reproducible:
You must have antoher language, no English.
Install something from flatpak repo with gnome software and open it.
Uninstall it, and install it with flatpak install command.

Steps to Reproduce:
1. Change language (to for example Czech)
2. Add Flatpak repo (Best FlatHub)
3. Install it with GNOME Software (for example GNOME Recipes)
4. Open it, it have English

5. Uninstall it
6. Do command flatpak install --system org.gnome.Recipes
7. Open it, you have antoher language (for example Czech)

Actual results:
English in flatpak installed apps trought GNOME Software

Expected results:
Setted language in flatpak installed apps trought GNOME Software

Additional info:

Comment 1 Egor Zakharov 2017-09-24 17:12:49 UTC
I think you should change Component field to "gnome-software" and report this bug also on bugzilla.gnome.org, to get attention.

Because I start to feel what GNOME Devs which are also maintainers of Fedora packages mostly ignore what happening on RedHat Bugzilla.

Comment 2 noriko 2018-02-17 07:36:21 UTC
Hi, I just took over this component's assignee.
I agree with Egor at comment #1. Feodra Localization can't help this.
Now the product and the component changed.

Comment 3 noriko 2018-02-17 07:37:01 UTC
Richard, could you kindly have a look this bug?

Comment 4 Fedora End Of Life 2018-02-20 15:25:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 5 Ben Cotton 2019-05-02 22:06:40 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-05-28 19:29:57 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 jibecfed 2019-05-28 20:24:45 UTC
please reopen and affect to rawhide, as far as I know, this still is a valid issue


Note You need to log in before you can comment on or make changes to this bug.